---
apiVersion: v1
kind: Secret
metadata:
  name: cb-example-auth
type: Opaque
data:
  username: QWRtaW5pc3RyYXRvcg==
  password: cGFzc3dvcmQ=
---
apiVersion: couchbase.com/v2
kind: CouchbaseBucket
metadata:
  name: default
---
apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example
spec:
  image: couchbase/server:6.6.2
  security:
    adminSecret: cb-example-auth
    rbac:
      managed: true
  networking:
    exposeAdminConsole: true
    adminConsoleServiceTemplate:
      spec:
        type: NodePort
    exposedFeatures:
      - xdcr
    exposedFeatureServiceTemplate:
      spec:
        type: NodePort
  buckets:
    managed: true
  servers:
    - size: 1
      name: data
      services:
        - data
    - size: 1
      name: index
      services:
        - index

